summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFredrik Ålund <fredrik.alund@mimer.com>2023-02-03 16:25:29 +0100
committerFredrik Ålund <fredrik.alund@mimer.com>2023-02-18 09:44:01 +0100
commitcbebb76ee2c883c7c8b556153673233d18ccbf0d (patch)
treeec349f876056a22eeec56656ec2b3ba6ddb70b22
parent6e0a189923f31690f645499db4bb8e3801d4a97c (diff)
downloadqt5-cbebb76ee2c883c7c8b556153673233d18ccbf0d.tar.gz
CI scripts for Mimer SQL
To be able to build the Mimer SQL Qt Sql plugin the Mimer SQL RDBMS needs to be installed in the CI environment. Add CI scripts for Mimer SQL Task-number: QTBUG-111219 Change-Id: Iff900d49ef5b26d97f4f326b0c0e0bc584c416f9 Reviewed-by: Volker Hilsheimer <volker.hilsheimer@qt.io>
-rwxr-xr-xcoin/provisioning/common/linux/mimersql.sh77
-rw-r--r--coin/provisioning/common/windows/mimersql.ps163
-rwxr-xr-xcoin/provisioning/qtci-linux-CentOS-8.3-x86_64/90-mimer.sh45
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-8.2-x86_64/90-mimer.sh45
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-8.4-x86_64/90-mimer.sh45
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-9.0-x86_64/90-mimer.sh45
-rwxr-xr-xcoin/provisioning/qtci-linux-SLES-15_SP4-x86_64/90-mimer.sh45
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/90-mimer.sh45
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/90-mimer.sh45
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/90-mimer.sh45
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.3-x86_64/90-mimer.sh45
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.4-x86_64/90-mimer.sh45
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/90-mimersql.ps11
-rw-r--r--coin/provisioning/qtci-windows-10_21H2-x86_64/90-mimersql.ps11
-rw-r--r--coin/provisioning/qtci-windows-10_22H2-x86_64/90-mimersql.ps11
-rw-r--r--coin/provisioning/qtci-windows-11_21H2-x86_64/90-mimersql.ps11
-rw-r--r--coin/provisioning/qtci-windows-11_22H2-x86_64/90-mimersql.ps11
-rw-r--r--coin/provisioning/qtci-windows-8.1-x86_64/90-mimersql.ps11
18 files changed, 596 insertions, 0 deletions
diff --git a/coin/provisioning/common/linux/mimersql.sh b/coin/provisioning/common/linux/mimersql.sh
new file mode 100755
index 00000000..42eba8af
--- /dev/null
+++ b/coin/provisioning/common/linux/mimersql.sh
@@ -0,0 +1,77 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -e
+
+SSL_VER=$1
+PACK_TYPE=$2
+PROVISIONING_DIR="$(dirname "$0")/../../"
+. "$PROVISIONING_DIR"/common/unix/common.sourced.sh
+. "$PROVISIONING_DIR"/common/unix/DownloadURL.sh
+
+
+localRepo=http://ci-files01-hki.intra.qt.io/input/docker
+upstreamRepo=http://install.mimer.com/qt
+if [ "$SSL_VER" = "openssl-3" ]; then
+ if [ "$PACK_TYPE" = "rpm" ]; then
+ packageFile=mimersqlsrv-11.0.x86_64-openssl3.rpm
+ sha=5f21d440a12cddcc786ddff3a136bef821f1bf64
+ else
+ packageFile=mimersqlsrv_11.0_amd64-openssl3.deb
+ sha=3239b593724c564862d3bbfb70fed16909a93959
+ fi
+else
+ if [ "$PACK_TYPE" = "rpm" ]; then
+ packageFile=mimersqlsrv-11.0.x86_64-openssl1.rpm
+ sha=34533347424ba540b36d0a6ae2f416b901d8bafb
+ else
+ packageFile=mimersqlsrv_11.0_amd64-openssl1.deb
+ sha=f4ac939a190ef048150b06cecc7a392386b6e132
+ fi
+fi
+DownloadURL $localRepo/$packageFile $upstreamRepo/$packageFile $sha /tmp/$packageFile
+
+if [ "$PACK_TYPE" = "rpm" ]; then
+ sudo rpm -U /tmp/$packageFile
+else
+ sudo apt-get -y install /tmp/$packageFile
+fi
+rm -f /tmp/$packageFile
diff --git a/coin/provisioning/common/windows/mimersql.ps1 b/coin/provisioning/common/windows/mimersql.ps1
new file mode 100644
index 00000000..66d4510e
--- /dev/null
+++ b/coin/provisioning/common/windows/mimersql.ps1
@@ -0,0 +1,63 @@
+############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+. "$PSScriptRoot\helpers.ps1"
+
+# This script will install Mimer SQL
+
+
+$version = "1107b"
+
+$url_cache = "\\ci-files01-hki.intra.qt.io\provisioning\windows\MimerSqlX64Windows" + $version + ".exe"
+$url_official = "https://download.mimer.com/pub/dist/windows/MimerSqlX64Windows" + $version + ".exe"
+$mimersqlPackage = "C:\Windows\Temp\MimerSqlX64Windows" + $version + ".exe"
+$sha1 = "e27bb6bdbd5cbd895a64b70051e3e5346f738957"
+Download $url_official $url_cache $mimersqlPackage
+Verify-Checksum $mimersqlPackage $sha1
+Run-Executable "$mimersqlPackage" "/install /passive"
+
+Write-Host "Cleaning $mimersqlPackage.."
+Remove "$mimersqlPackage"
+Remove "C:\Program Files\Mimer SQL Experience 11.0\dev\include\odbcinst.h"
+Remove "C:\Program Files\Mimer SQL Experience 11.0\dev\include\Sql.h"
+Remove "C:\Program Files\Mimer SQL Experience 11.0\dev\include\sqlext.h"
+Remove "C:\Program Files\Mimer SQL Experience 11.0\dev\include\sqltypes.h"
+Remove "C:\Program Files\Mimer SQL Experience 11.0\dev\include\sqlucode.h"
+
+Write-Output "Mimer SQL = $version" >> ~\versions.txt
diff --git a/coin/provisioning/qtci-linux-CentOS-8.3-x86_64/90-mimer.sh b/coin/provisioning/qtci-linux-CentOS-8.3-x86_64/90-mimer.sh
new file mode 100755
index 00000000..e175a9c9
--- /dev/null
+++ b/coin/provisioning/qtci-linux-CentOS-8.3-x86_64/90-mimer.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/mimersql.sh" "openssl-1" "rpm"
diff --git a/coin/provisioning/qtci-linux-RHEL-8.2-x86_64/90-mimer.sh b/coin/provisioning/qtci-linux-RHEL-8.2-x86_64/90-mimer.sh
new file mode 100755
index 00000000..e175a9c9
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-8.2-x86_64/90-mimer.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/mimersql.sh" "openssl-1" "rpm"
diff --git a/coin/provisioning/qtci-linux-RHEL-8.4-x86_64/90-mimer.sh b/coin/provisioning/qtci-linux-RHEL-8.4-x86_64/90-mimer.sh
new file mode 100755
index 00000000..e175a9c9
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-8.4-x86_64/90-mimer.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/mimersql.sh" "openssl-1" "rpm"
diff --git a/coin/provisioning/qtci-linux-RHEL-9.0-x86_64/90-mimer.sh b/coin/provisioning/qtci-linux-RHEL-9.0-x86_64/90-mimer.sh
new file mode 100755
index 00000000..f65405d0
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-9.0-x86_64/90-mimer.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/mimersql.sh" "openssl-3" "rpm"
diff --git a/coin/provisioning/qtci-linux-SLES-15_SP4-x86_64/90-mimer.sh b/coin/provisioning/qtci-linux-SLES-15_SP4-x86_64/90-mimer.sh
new file mode 100755
index 00000000..e175a9c9
--- /dev/null
+++ b/coin/provisioning/qtci-linux-SLES-15_SP4-x86_64/90-mimer.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/mimersql.sh" "openssl-1" "rpm"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/90-mimer.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/90-mimer.sh
new file mode 100755
index 00000000..7d3543e6
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/90-mimer.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/mimersql.sh" "openssl-1" "deb"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/90-mimer.sh b/coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/90-mimer.sh
new file mode 100755
index 00000000..7d3543e6
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/90-mimer.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/mimersql.sh" "openssl-1" "deb"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/90-mimer.sh b/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/90-mimer.sh
new file mode 100755
index 00000000..ceee6322
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/90-mimer.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/mimersql.sh" "openssl-3" "deb"
diff --git a/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/90-mimer.sh b/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/90-mimer.sh
new file mode 100755
index 00000000..e175a9c9
--- /dev/null
+++ b/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/90-mimer.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/mimersql.sh" "openssl-1" "rpm"
diff --git a/coin/provisioning/qtci-linux-openSUSE-15.4-x86_64/90-mimer.sh b/coin/provisioning/qtci-linux-openSUSE-15.4-x86_64/90-mimer.sh
new file mode 100755
index 00000000..e175a9c9
--- /dev/null
+++ b/coin/provisioning/qtci-linux-openSUSE-15.4-x86_64/90-mimer.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/mimersql.sh" "openssl-1" "rpm"
diff --git a/coin/provisioning/qtci-windows-10-x86_64/90-mimersql.ps1 b/coin/provisioning/qtci-windows-10-x86_64/90-mimersql.ps1
new file mode 100644
index 00000000..576dd9d2
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86_64/90-mimersql.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\windows\mimersql.ps1"
diff --git a/coin/provisioning/qtci-windows-10_21H2-x86_64/90-mimersql.ps1 b/coin/provisioning/qtci-windows-10_21H2-x86_64/90-mimersql.ps1
new file mode 100644
index 00000000..576dd9d2
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10_21H2-x86_64/90-mimersql.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\windows\mimersql.ps1"
diff --git a/coin/provisioning/qtci-windows-10_22H2-x86_64/90-mimersql.ps1 b/coin/provisioning/qtci-windows-10_22H2-x86_64/90-mimersql.ps1
new file mode 100644
index 00000000..576dd9d2
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10_22H2-x86_64/90-mimersql.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\windows\mimersql.ps1"
diff --git a/coin/provisioning/qtci-windows-11_21H2-x86_64/90-mimersql.ps1 b/coin/provisioning/qtci-windows-11_21H2-x86_64/90-mimersql.ps1
new file mode 100644
index 00000000..576dd9d2
--- /dev/null
+++ b/coin/provisioning/qtci-windows-11_21H2-x86_64/90-mimersql.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\windows\mimersql.ps1"
diff --git a/coin/provisioning/qtci-windows-11_22H2-x86_64/90-mimersql.ps1 b/coin/provisioning/qtci-windows-11_22H2-x86_64/90-mimersql.ps1
new file mode 100644
index 00000000..576dd9d2
--- /dev/null
+++ b/coin/provisioning/qtci-windows-11_22H2-x86_64/90-mimersql.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\windows\mimersql.ps1"
diff --git a/coin/provisioning/qtci-windows-8.1-x86_64/90-mimersql.ps1 b/coin/provisioning/qtci-windows-8.1-x86_64/90-mimersql.ps1
new file mode 100644
index 00000000..576dd9d2
--- /dev/null
+++ b/coin/provisioning/qtci-windows-8.1-x86_64/90-mimersql.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\windows\mimersql.ps1"